#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file 'plugins/compmgrclient/compositemanagerbase.ui'
**
** Created: Sun Nov 16 03:09:06 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "plugins/compmgrclient/compositemanagerbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qslider.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CompositeManagerWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CompositeManagerWidgetBase::CompositeManagerWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CompositeManagerWidgetBase" );
    CompositeManagerWidgetBaseLayout = new QVBoxLayout( this, 0, 6, "CompositeManagerWidgetBaseLayout"); 

    kcfg_Enable_Composite = new QCheckBox( this, "kcfg_Enable_Composite" );
    CompositeManagerWidgetBaseLayout->addWidget( kcfg_Enable_Composite );

    mainGroupBox = new QGroupBox( this, "mainGroupBox" );
    mainGroupBox->setColumnLayout(0, Qt::Vertical );
    mainGroupBox->layout()->setSpacing( 6 );
    mainGroupBox->layout()->setMargin( 11 );
    mainGroupBoxLayout = new QVBoxLayout( mainGroupBox->layout() );
    mainGroupBoxLayout->setAlignment( Qt::AlignTop );

    kcfg_Use_Kompmgr = new QCheckBox( mainGroupBox, "kcfg_Use_Kompmgr" );
    mainGroupBoxLayout->addWidget( kcfg_Use_Kompmgr );

    TopWindowlistView = new QListView( mainGroupBox, "TopWindowlistView" );
    TopWindowlistView->addColumn( tr2i18n( "Window Name" ) );
    TopWindowlistView->addColumn( tr2i18n( "Translucency" ) );
    mainGroupBoxLayout->addWidget( TopWindowlistView );

    translucencyGroupBox = new QGroupBox( mainGroupBox, "translucencyGroupBox" );
    translucencyGroupBox->setColumnLayout(0, Qt::Vertical );
    translucencyGroupBox->layout()->setSpacing( 6 );
    translucencyGroupBox->layout()->setMargin( 11 );
    translucencyGroupBoxLayout = new QVBoxLayout( translucencyGroupBox->layout() );
    translucencyGroupBoxLayout->setAlignment( Qt::AlignTop );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    activeWindowTranslucencyBox = new QCheckBox( translucencyGroupBox, "activeWindowTranslucencyBox" );
    layout2->addWidget( activeWindowTranslucencyBox );

    ActiveSlider = new QSlider( translucencyGroupBox, "ActiveSlider" );
    ActiveSlider->setMaxValue( 100 );
    ActiveSlider->setLineStep( 10 );
    ActiveSlider->setPageStep( 5 );
    ActiveSlider->setOrientation( QSlider::Horizontal );
    ActiveSlider->setTickmarks( QSlider::Below );
    layout2->addWidget( ActiveSlider );

    ActiveSpinBox = new QSpinBox( translucencyGroupBox, "ActiveSpinBox" );
    ActiveSpinBox->setMaxValue( 100 );
    ActiveSpinBox->setLineStep( 5 );
    layout2->addWidget( ActiveSpinBox );
    translucencyGroupBoxLayout->addLayout( layout2 );
    mainGroupBoxLayout->addWidget( translucencyGroupBox );
    CompositeManagerWidgetBaseLayout->addWidget( mainGroupBox );
    languageChange();
    resize( QSize(466, 419).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_Enable_Composite, SIGNAL( toggled(bool) ), mainGroupBox, SLOT( setEnabled(bool) ) );
    connect( ActiveSlider, SIGNAL( valueChanged(int) ), ActiveSpinBox, SLOT( setValue(int) ) );
    connect( ActiveSpinBox, SIGNAL( valueChanged(int) ), ActiveSlider, SLOT( setValue(int) ) );
    connect( activeWindowTranslucencyBox, SIGNAL( toggled(bool) ), ActiveSlider, SLOT( setEnabled(bool) ) );
    connect( activeWindowTranslucencyBox, SIGNAL( toggled(bool) ), ActiveSpinBox, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CompositeManagerWidgetBase::~CompositeManagerWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CompositeManagerWidgetBase::languageChange()
{
    kcfg_Enable_Composite->setText( tr2i18n( "Enable &Composite Support" ) );
    mainGroupBox->setTitle( tr2i18n( "Composite Settings" ) );
    kcfg_Use_Kompmgr->setText( tr2i18n( "&Use KDE built-in Composite Manager (kompmgr)" ) );
    TopWindowlistView->header()->setLabel( 0, tr2i18n( "Window Name" ) );
    TopWindowlistView->header()->setLabel( 1, tr2i18n( "Translucency" ) );
    translucencyGroupBox->setTitle( tr2i18n( "Translucency" ) );
    activeWindowTranslucencyBox->setText( tr2i18n( "&Active Window:" ) );
    ActiveSpinBox->setSuffix( tr2i18n( "%" ) );
}

#include "compositemanagerbase.moc"
