#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file 'plugins/inputwindow/inputwindow_settings.ui'
**
** Created: Sun Nov 16 03:09:32 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "plugins/inputwindow/inputwindow_settings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <kfontrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kfontrequester.h"

/*
 *  Constructs a ConfigInputWindowBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigInputWindowBase::ConfigInputWindowBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigInputWindowBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ConfigInputWindowBaseLayout = new QVBoxLayout( this, 0, 6, "ConfigInputWindowBaseLayout"); 

    layout2 = new QGridLayout( 0, 1, 1, 0, 6, "layout2"); 

    kcfg_Is_Sticky = new QCheckBox( this, "kcfg_Is_Sticky" );

    layout2->addWidget( kcfg_Is_Sticky, 0, 1 );

    kcfg_LookupTable_IsVertical = new QCheckBox( this, "kcfg_LookupTable_IsVertical" );

    layout2->addWidget( kcfg_LookupTable_IsVertical, 0, 0 );

    kcfg_embedded_Lookup_Table = new QCheckBox( this, "kcfg_embedded_Lookup_Table" );

    layout2->addWidget( kcfg_embedded_Lookup_Table, 1, 0 );

    kcfg_LookupTable_MinimumWidth = new QCheckBox( this, "kcfg_LookupTable_MinimumWidth" );

    layout2->addWidget( kcfg_LookupTable_MinimumWidth, 1, 1 );
    ConfigInputWindowBaseLayout->addLayout( layout2 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    defaultFontRequester = new KFontRequester( groupBox1, "defaultFontRequester" );
    groupBox1Layout->addWidget( defaultFontRequester );
    ConfigInputWindowBaseLayout->addWidget( groupBox1 );
    spacer1 = new QSpacerItem( 21, 240, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConfigInputWindowBaseLayout->addItem( spacer1 );
    languageChange();
    resize( QSize(518, 327).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_LookupTable_IsVertical, SIGNAL( toggled(bool) ), kcfg_LookupTable_MinimumWidth, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigInputWindowBase::~ConfigInputWindowBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigInputWindowBase::languageChange()
{
    setCaption( tr2i18n( "Input Window Settings" ) );
    kcfg_Is_Sticky->setText( tr2i18n( "&Sticky Window" ) );
    kcfg_LookupTable_IsVertical->setText( tr2i18n( "Use &Vertical Lookup Table" ) );
    kcfg_embedded_Lookup_Table->setText( tr2i18n( "&Embedded Lookup Table" ) );
    kcfg_LookupTable_MinimumWidth->setText( tr2i18n( "&Minimize the width of Lookup Table" ) );
    groupBox1->setTitle( tr2i18n( "&Font" ) );
}

#include "inputwindow_settings.moc"
