#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file 'plugins/setupwindow/scimimenginesettingsui.ui'
**
** Created: Sun Nov 16 03:10:00 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "plugins/setupwindow/scimimenginesettingsui.h"

#include <qvariant.h>
#include <qheader.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SCIMIMEConfigUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SCIMIMEConfigUI::SCIMIMEConfigUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SCIMIMEConfigUI" );
    SCIMIMEConfigUILayout = new QVBoxLayout( this, 11, 6, "SCIMIMEConfigUILayout"); 

    listView = new QListView( this, "listView" );
    listView->addColumn( tr2i18n( "Name" ) );
    listView->addColumn( tr2i18n( "Hotkeys" ) );
    listView->addColumn( tr2i18n( "Installed Filter" ) );
    listView->setRootIsDecorated( TRUE );
    SCIMIMEConfigUILayout->addWidget( listView );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    enableAllBtn = new QPushButton( this, "enableAllBtn" );
    layout9->addWidget( enableAllBtn );

    disableAllBtn = new QPushButton( this, "disableAllBtn" );
    layout9->addWidget( disableAllBtn );
    spacer1 = new QSpacerItem( 100, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer1 );

    editHotkeysBtn = new QPushButton( this, "editHotkeysBtn" );
    layout9->addWidget( editHotkeysBtn );

    editFilterBtn = new QPushButton( this, "editFilterBtn" );
    layout9->addWidget( editFilterBtn );
    SCIMIMEConfigUILayout->addLayout( layout9 );
    languageChange();
    resize( QSize(518, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SCIMIMEConfigUI::~SCIMIMEConfigUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SCIMIMEConfigUI::languageChange()
{
    listView->header()->setLabel( 0, tr2i18n( "Name" ) );
    listView->header()->setLabel( 1, tr2i18n( "Hotkeys" ) );
    listView->header()->setLabel( 2, tr2i18n( "Installed Filter" ) );
    enableAllBtn->setText( tr2i18n( "&Enable All" ) );
    disableAllBtn->setText( tr2i18n( "D&isable All" ) );
    editHotkeysBtn->setText( tr2i18n( "Edi&t Hotkeys" ) );
    editFilterBtn->setText( tr2i18n( "Edit &Filters" ) );
}

#include "scimimenginesettingsui.moc"
